#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct Globals
{
    float4x4 uProj;
    float4 uTint;
};

struct main0_out
{
    float4 FragColor [[color(0)]];
};

struct main0_in
{
    float2 vUV [[user(locn0)]];
};

fragment main0_out main0(main0_in in [[stage_in]], constant Globals& _28 [[buffer(0)]], texture2d<float> uTex [[texture(0)]], sampler uTexSmplr [[sampler(0)]])
{
    main0_out out = {};
    float4 t = uTex.sample(uTexSmplr, in.vUV);
    out.FragColor = float4(t.xyz * _28.uTint.xyz, t.w * _28.uTint.w);
    return out;
}

